Package helma.framework.repository

# Class ZipResource

java.lang.Object
helma.framework.repository.AbstractResource
helma.framework.repository.ZipResource

All Implemented Interfaces:
  `Resource`

public final class ZipResource extends AbstractResource

## Field Summary

### Fields inherited from class helma.framework.repository.AbstractResource

`overloaded`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ZipResource(String zipentryName, ZipRepository repository)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`boolean`
`exists()`
Checks wether this resource actually (still) exists
`String`
`getBaseName()`
Returns the short name of the resource with the file extension (everything following the last dot character) cut off.
`String`
`getContent()`
Returns the content of the resource
`String`
`getContent(String encoding)`
Returns the content of the resource in a given encoding
`InputStream`
`getInputStream()`
Returns an input stream to the content of the resource
`long`
`getLength()`
Returns the lengh of the resource's content
`String`
`getName()`
Returns the name of the resource; does not include the name of the repository the resource was fetched from
`Repository`
`getRepository()`
Returns the repository the resource does belong to
`String`
`getShortName()`
Returns the short name of the resource which is its name exclusive file ending if it exists
`URL`
`getUrl()`
Returns an url to the resource if the repository of this resource is able to provide urls
`int`
`hashCode()`
`long`
`lastModified()`
Returns the date the resource was last modified
`String`
`toString()`

### Methods inherited from class helma.framework.repository.AbstractResource

`getOverloadedResource, setOverloadedResource`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ZipResource

protected ZipResource(String zipentryName, ZipRepository repository)

## Method Details

### lastModified

public long lastModified()
Description copied from interface: `Resource`
Returns the date the resource was last modified

Returns:
  last modified date

### getInputStream

public InputStream getInputStream() throws IOException
Description copied from interface: `Resource`
Returns an input stream to the content of the resource

Returns:
  content input stream
Throws:
  `IOException` - I/O related problem

### exists

public boolean exists()
Description copied from interface: `Resource`
Checks wether this resource actually (still) exists

Returns:
  true if the resource exists

### getContent

public String getContent(String encoding) throws IOException
Description copied from interface: `Resource`
Returns the content of the resource in a given encoding

Parameters:
  `encoding` - the character encoding
Returns:
  content
Throws:
  `IOException` - I/O related problem

### getContent

public String getContent() throws IOException
Description copied from interface: `Resource`
Returns the content of the resource

Returns:
  content
Throws:
  `IOException` - I/O related problem

### getName

public String getName()
Description copied from interface: `Resource`
Returns the name of the resource; does not include the name of the repository the resource was fetched from

Returns:
  name of the resource

### getShortName

public String getShortName()
Description copied from interface: `Resource`
Returns the short name of the resource which is its name exclusive file ending if it exists

Returns:
  short name of the resource

### getBaseName

public String getBaseName()
Description copied from interface: `Resource`
Returns the short name of the resource with the file extension (everything following the last dot character) cut off.

Returns:
  the file name without the file extension

### getUrl

public URL getUrl()
Description copied from interface: `Resource`
Returns an url to the resource if the repository of this resource is able to provide urls

Returns:
  url to the resource

### getLength

public long getLength()
Description copied from interface: `Resource`
Returns the lengh of the resource's content

Returns:
  content length

### getRepository

public Repository getRepository()
Description copied from interface: `Resource`
Returns the repository the resource does belong to

Returns:
  upper repository

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`